<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
	<?php if ( have_comments() ) : ?>
		<div id="comments" class="comments-area single-section clearfix">
			<h3 class="comments-count section-heading uppercase">
                <?php esc_html_e('Recent Comments','bloomy'); ?>
            </h3>
            
            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
                <nav class="commentnavi pagination">
                    <h2 class="screen-reader-text">
                        <?php esc_html_e( 'Comments navigation', 'bloomy' ); ?>
                    </h2>
                    <div class="nav-links">
                        <?php paginate_comments_links(); ?>
                    </div>
                </nav>
            <?php endif; // Check for comment navigation. ?>
            
			<ol class="commentlist">
				<?php
					wp_list_comments( array(
						'type'        => 'comment',
						'short_ping'  => true,
						'avatar_size' => 60,
					) );
				?>
				<?php
					wp_list_comments( array(
						'type'        => 'pingback',
						'short_ping'  => true,
						'avatar_size' => 60,
					) );
				?>
			</ol>
            
			<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
                <nav class="commentnavi pagination">
                    <h2 class="screen-reader-text">
                        <?php esc_html_e( 'Comments navigation', 'bloomy' ); ?>
                    </h2>
                    <div class="nav-links">
                        <?php paginate_comments_links(); ?>
                    </div>
                </nav>
            <?php endif; // Check for comment navigation. ?>
		</div><!-- #comments -->

	<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	<?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		
	<?php endif; ?>
	<?php endif; ?>
	<?php global $aria_req; $comments_args = array(
		// remove "Text or HTML to be displayed after the set of comment fields"
		'title_reply'=>'<h4 class="section-heading uppercase"><span>'.esc_html__('Leave a Comment','bloomy').'</span></h4>',
		'comment_notes_before' => '',
		'comment_notes_after' => '',
		'fields' => $fields =  array(
			  'author' =>
				'<p class="comment-form-author">
				<input id="author" name="author" type="text" placeholder="'.esc_html__('Name (Required)','bloomy').'" value="' . esc_attr( $commenter['comment_author'] ) .
				'" size="19"' . $aria_req . ' /></p>',

			  'email' =>
				'<p class="comment-form-email">
				<input id="email" name="email" placeholder="'.esc_html__('Email Address (Required)','bloomy').'" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
				'" size="19"' . $aria_req . ' /></p>',

			  'url' =>
				'<p class="comment-form-url">
				<input id="url" name="url" type="text" placeholder="'.esc_html__('Website','bloomy').'" value="' . esc_attr( $commenter['comment_author_url'] ) .
				'" size="19" /></p>',
			),
		'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" placeholder=    "'.esc_html__('Comment','bloomy').'" cols="45" rows="8" aria-required="true"></textarea></p>',
		'label_submit' => esc_html__( 'Post Comment', 'bloomy' ),
	)
	?>
	<?php comment_form($comments_args); ?>