<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head itemscope itemtype="http://schema.org/WebSite">
<meta charset="<?php bloginfo('charset'); ?>">
<meta itemprop="url" content="<?php echo esc_url( home_url( '/' ) ); ?>"/>
<meta itemprop="name" content="<?php bloginfo( 'name' ); ?>"/>
<meta name="viewport" content="width=device-width" />
<?php wp_head(); ?>
</head>
<body id="blog" <?php body_class('main'); ?> itemscope itemtype="http://schema.org/WebPage">
    <div class="main-container <?php bloomy_layout_class(); ?>">
        <div class="menu-pusher">
            <nav class="mobile-menu">
                <div id="close-button"><i class="fa fa-times"></i></div>
                <?php
                    if ( has_nav_menu( 'main-menu' ) ) {
                        wp_nav_menu( array(
                            'theme_location' => 'main-menu',
                            'menu_class'     => 'menu',
                            'container'      => '',
                        ) );
                    }
                ?>
            </nav>
            <!-- START HEADER -->
            <?php
                $bloomy_header_style = bloomy_theme_mod( 'header_style' );

                get_template_part( 'template-parts/header/header-'.intval( $bloomy_header_style ) );

                // Featured Slider
                if ( is_home() || is_front_page() ) {
                    if( bloomy_theme_mod('featured_slider') == '1' ) {
                        if( !is_paged() ) {
                            get_template_part( 'template-parts/featured-slider' );
                        }
                    }
                }
            ?>
            <!-- END HEADER -->
            