<?php
/**
 * Customizer settings.
 *
 * @since Bloomy 1.0
 *
 */
function bloomy_customizer_settings( $fields ) {
    global $bloomy_fonts_list;
    global $bloomy_theme_defaults;
    
    $bloomy_theme_defaults = array(
        
        /*---[ Default Styling Options ]---*/
        
		'color_scheme_1'              => '#ae8d59',
		'color_scheme_2'              => '#f7e1be',
		'header_background_color'     => '#fff',
		'logo_color'                  => '#000',
        
        
        /*---[ Default Typography Options ]---*/
        
        // Body Default Typography Options
		'body_font_family'            => 'Muli',
        
        // Logo Default Typography Options',
		'logo_font_family'            => 'Cinzel',
		'logo_font_weight'            => '700',
		'logo_text_transform'         => 'uppercase',
		'logo_font_size'              => '32px',
        
        // Navigation Menu Default Typography Options',
		'menu_font_size'              => '12px',
        
        // Headings Default Typography Options',
		'headings_font_family'        => 'Playfair Display',
		'headings_font_weight'        => '400',
        
        // Entry Title Default Typography Options
		'entry_title_font_size'       => '36px',
        
        // Single Title Default Typography Options
		'single_title_font_size'      => '36px',
        
        // Post Meta Default Typography Options
		'post_meta_font_size'         => '12px',
        
        // Post Content Default Typography Options
		'post_content_font_size'      => '14px',
        
        // Widget Title Default Typography Options',
		'widgets_title_font_size'     => '12px',
        
        
        /*---[ Layout Default Options ]---*/
        
        'main_layout'                 => 'cblayout',
        'archive_layout'              => 'cblayout',
        'single_layout'               => 'cblayout',
        'footer_layout'               => '4',
        
        /*---[ Other Default Options ]---*/
        
		'pagination_type'             => 'num',
		'scroll_top'           => 'show',
		'copyright_text'       => 'Theme by Bloompixel. Proudly Powered by WordPress',
		'post_author'          => 1,
		'post_date'            => 1,
		'post_comments'        => 0,
		'post_cats'            => 1,
		'post_views'           => 0,
		'post_tags'            => 0,
		'breadcrumbs'          => 1,
		'author_box'           => 1,
		'next_prev_links'      => 1,
        
        // Related Posts
		'related_posts'        => 1,
		'related_posts_by'     => 'categories',
		'related_posts_count'  => 3,
        
        // Home Content
		'home_content'         => 'excerpt',
		'excerpt_length'       => '40',
		'read_more_btn'        => 0,
		'read_more_btn_text'   => esc_html__('Read More','bloomy'),
        
        // Featured Slider
		'featured_slider'      => 0,
		'f_slider_posts_count' => 4,
		'featured_slider_cat'  => 'uncategorized',
        
        // Header Settings
		'header_style'         => '1',
		'tagline'              => 'show',
		'sticky_menu'          => 'disable',
		'header_social_links'  => 'disable',
        
        // Footer Settings
		'show_footer_logo'        => 0,
		'footer_logo_image'       => '',
        
        // Social Links
		'facebook_url'  => '',
		'twitter_url'   => '',
		'gplus_url'     => '',
		'instagram_url' => '',
		'youtube_url'   => '',
		'pinterest_url' => '',
		'flickr_url'    => '',
		'rss_url'       => '',
		'linkedIn_url'  => '',
		'reddit_url'    => '',
		'tumblr_url'    => '',
	);
    
    // Settings -> General Settings -> Main Settings
    //------------------------------------------------//
    
    /*---[ Pagination Type ]---*/
    $fields[] = array(
		'id'                => 'pagination_type', 
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['pagination_type'],
		'label'             => esc_html__('Pagination Type', 'bloomy'),
		'section'           => 'general_settings',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            'num'      => esc_html__('Numbered', 'bloomy'),
            'nextprev' => esc_html__('Next/Prev', 'bloomy'),
        ),
	);
    /*---[ Scroll to Top Button ]---*/
    $fields[] = array(
		'id'                => 'scroll_top', 
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['scroll_top'],
		'label'             => esc_html__('Scroll to Top Button', 'bloomy'),
		'section'           => 'general_settings',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'  => array(
            'show' => esc_html__('Show', 'bloomy'),
            'hide' => esc_html__('hide', 'bloomy'),
        ),
	);
    
    // Settings -> General Settings -> Post Options
    //------------------------------------------------//
    
    /*---[ Post Date ]---*/
    $fields[] = array(
		'id'                => 'post_date', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['post_date'],
		'label'             => esc_html__('Show Post Date', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Post Categories ]---*/
    $fields[] = array(
		'id'                => 'post_cats', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['post_cats'],
		'label'             => esc_html__('Show Post Categories', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Post Author ]---*/
    $fields[] = array(
		'id'                => 'post_author', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['post_author'],
		'label'             => esc_html__('Show Post Author', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Post Comments ]---*/
    $fields[] = array(
		'id'                => 'post_comments', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['post_comments'],
		'label'             => esc_html__('Show Post Comments', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Post Tags ]---*/
    $fields[] = array(
		'id'                => 'post_tags', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['post_tags'],
		'label'             => esc_html__('Show Post Tags', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Breadcrumbs ]---*/
    $fields[] = array(
		'id'                => 'breadcrumbs', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['breadcrumbs'],
		'label'             => esc_html__('Show Breadcrumbs', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Author Info Box ]---*/
    $fields[] = array(
		'id'                => 'author_box', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['author_box'],
		'label'             => esc_html__('Author Info Box', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Next/Prev Article Links ]---*/
    $fields[] = array(
		'id'                => 'next_prev_links', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['next_prev_links'],
		'label'             => esc_html__('Next/Prev Article Links', 'bloomy'),
		'section'           => 'post_meta_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Related Posts ]---*/
    $fields[] = array(
		'id'                => 'related_posts', 
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['related_posts'],
		'label'             => esc_html__('Show Related Posts', 'bloomy'),
		'section'           => 'related_posts_options',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    /*---[ Related Posts By ]---*/
    $fields[] = array(
		'id'                => 'related_posts_by', 
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['related_posts_by'],
		'label'             => esc_html__('Related Posts By', 'bloomy'),
		'section'           => 'related_posts_options',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            'categories' => esc_html__('Categories', 'bloomy'),
            'tags'       => esc_html__('Tags', 'bloomy')
        ),
	);
    /*---[ Related Posts Count ]---*/
    $fields[] = array(
		'id'          => 'related_posts_count', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['related_posts_count'],
		'label'       => esc_html__('Related Posts Count', 'bloomy'),
		'section'     => 'related_posts_options',
	);
    
    // Settings -> General Settings -> Header
    //------------------------------------------------//
    
    /*---[ Header Style ]---*/
    $fields[] = array(
		'id'                => 'header_style', 
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['header_style'],
		'label'             => esc_html__('Header Style', 'bloomy'),
		'section'           => 'header_options',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'   => array(
            '1' => esc_html__('Style 1', 'bloomy'),
            '2' => esc_html__('Style 2', 'bloomy'),
            '3' => esc_html__('Style 3', 'bloomy'),
        ),
	);
    /*---[ Tagline ]---*/
    $fields[] = array(
		'id'                => 'tagline',
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['tagline'],
		'label'             => esc_html__('Tagline', 'bloomy'),
		'section'           => 'header_options',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'   => array(
            'show' => esc_html__('Show', 'bloomy'),
            'hide' => esc_html__('Hide', 'bloomy'),
        ),
	);
    /*---[ Sticky Menu ]---*/
    $fields[] = array(
		'id'                => 'sticky_menu', 
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['sticky_menu'],
		'label'             => esc_html__('Sticky Menu', 'bloomy'),
		'section'           => 'header_options',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'     => array(
            'enable'  =>__('Enable', 'bloomy'),
            'disable' => esc_html__('Disable', 'bloomy'),
        ),
	);
    /*---[ Social Links ]---*/
    $fields[] = array(
		'id'                => 'header_social_links', 
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['header_social_links'],
		'label'             => esc_html__('Social Links', 'bloomy'),
		'section'           => 'header_options',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            'enable'  => esc_html__('Enable', 'bloomy'),
            'disable' => esc_html__('Disable', 'bloomy'),
        ),
	);
    
    // Settings -> General Settings -> Footer
    //------------------------------------------------//
    /*---[ Copyright Text ]---*/
    $fields[] = array(
		'id'          => 'copyright_text', 
		'control'     => 'textarea',
        'default'     => $bloomy_theme_defaults['copyright_text'],
		'label'       => esc_html__('Copyright', 'bloomy'),
        'description' => esc_html__('Change or remove copyright text for footer', 'bloomy'),
		'section'     => 'footer_options',
		'transport'   => 'postMessage',
	);
    
    // Settings -> Styling Options
    //------------------------------------------------//
    /*---[ Primary Color Scheme ]---*/
    $fields[] = array(
		'id'        => 'color_scheme_1', 
		'control'   => 'color',
		'default'   => $bloomy_theme_defaults['color_scheme_1'],
		'label'     => esc_html__('Primary Color Scheme', 'bloomy'),
		'section'   => 'colors',
        'transport' => 'postMessage',
        'output'    => array (
            'color'        => 'a, a:hover, .featuredslider .read-more, .read-more a, .total-post, .articles-count, .comment-form .submit, .tagcloud a:hover, #wp-calendar caption, #wp-calendar tbody td a',
            'background'   => '.menu-btn, .search-button, .pagination .current, .pagination a:hover, .comment-form .submit:hover',
            'border-color' => '.pagination .current, .pagination a:hover',
		),
	);
    /*---[ Secondary Color Scheme ]---*/
    $fields[] = array(
		'id'        => 'color_scheme_2', 
		'control'   => 'color',
		'default'   => $bloomy_theme_defaults['color_scheme_2'],
		'label'     => esc_html__('Secondary Color Scheme', 'bloomy'),
		'section'   => 'colors',
        'transport' => 'postMessage',
        'output'    => array (
            'background'   => '.featuredslider .read-more, .featured-cats:before, .read-more a, .total-post, .articles-count, .comment-form .submit, .post-meta:before, .tagcloud a:hover, #wp-calendar caption, #wp-calendar tbody td a',
		),
	);
    /*---[ Header Color Options ]---*/
    $fields[] = array(
		'id'        => 'header_background_color', 
		'control'   => 'color',
		'default'   => $bloomy_theme_defaults['header_background_color'],
		'label'     => esc_html__('Header Background Color', 'bloomy'),
		'section'   => 'colors',
        'transport' => 'postMessage',
        'output'    => array (
            'background' => '.main-header',
		),
	);
    $fields[] = array(
		'id'        => 'logo_color', 
		'control'   => 'color',
		'default'   => $bloomy_theme_defaults['logo_color'],
		'label'     => esc_html__('Logo Color', 'bloomy'),
		'section'   => 'colors',
        'transport' => 'postMessage',
        'output'    => array (
            'color' => '.logo a',
		),
	);
    
    // Settings -> Typography
    //--------------------------------------------//
    /*---[ Body Font Properties ]---*/
    $fields[] = array(
		'id'      => 'body_font_family',
		'key'     => 'fonts_family',
		'control' => 'select',
		'default' => $bloomy_theme_defaults['body_font_family'],
		'label'   => esc_html__('Font Family', 'bloomy'),
		'section' => 'body_font',
        'choices' => $bloomy_fonts_list,
        'output'  => array (
            'font-family' => 'body, .widget-title, .section-heading, input[type="submit"]',
		),
	);
    /*---[ Logo Font Properties ]---*/
    $fields[] = array(
		'id'      => 'logo_font_family',
		'key'     => 'fonts_family',
		'control' => 'select',
		'default' => $bloomy_theme_defaults['logo_font_family'],
		'label'   => esc_html__('Font Family', 'bloomy'),
		'section' => 'logo_font',
        'choices' => $bloomy_fonts_list,
        'output'  => array (
            'font-family' => '.logo',
		),
	);
    $fields[] = array(
		'id'        => 'logo_font_weight',
		'control'   => 'select',
		'default'   => $bloomy_theme_defaults['logo_font_weight'],
		'label'     => esc_html__('Font Weight', 'bloomy'),
		'section'   => 'logo_font',
        'transport' => 'postMessage',
        'choices'   =>   array(
            '300' => esc_html__('Light: 300', 'bloomy'),
            '400' => esc_html__('Normal: 400', 'bloomy'),
            '500' => esc_html__('Medium: 500', 'bloomy'),
            '600' => esc_html__('Semi-Bold: 600', 'bloomy'),
            '700' => esc_html__('Bold: 700', 'bloomy'),
            '800' => esc_html__('Extra-Bold: 800', 'bloomy'),
        ),
        'output'  => array (
            'font-weight' => '.logo',
		),
	);
    $fields[] = array(
		'id'        => 'logo_text_transform',
		'control'   => 'select',
		'default'   => $bloomy_theme_defaults['logo_text_transform'],
		'label'     => esc_html__('Text Transform', 'bloomy'),
		'section'   => 'logo_font',
        'transport' => 'postMessage',
        'choices'   =>   array(
            'none'       => esc_html__('None', 'bloomy'),
            'uppercase'  => esc_html__('Uppercase', 'bloomy'),
            'lowercase'  => esc_html__('Lowercase', 'bloomy'),
            'capitalize' => esc_html__('Capitalize', 'bloomy'),
        ),
        'output'  => array (
            'text-transform' => '.logo',
		),
	);
    $fields[] = array(
		'id'          => 'logo_font_size', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['logo_font_size'],
		'label'       => esc_html__('Font Size', 'bloomy'),
        'description' => esc_html__('Value in pixels', 'bloomy'),
		'section'     => 'logo_font',
        'transport'   => 'postMessage',
        'output'      => array (
            'font-size' => '.logo',
		),
	);
    
    /*---[ Navigation Menu Font Properties ]---*/
    $fields[] = array(
		'id'          => 'menu_font_size', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['menu_font_size'],
		'label'       => esc_html__('Font Size', 'bloomy'),
		'description' => esc_html__('Value in pixels', 'bloomy'),
		'section'     => 'nav_menu_font',
        'transport'   => 'postMessage',
        'output'      => array (
            'font-size' => '.nav-menu',
		),
	);
    
    /*---[ Headings Font Properties ]---*/
    $fields[] = array(
		'id'      => 'headings_font_family',
		'key'     => 'fonts_family',
		'control' => 'select',
		'default' => $bloomy_theme_defaults['headings_font_family'],
		'label'   => esc_html__('Font Family', 'bloomy'),
		'section' => 'headings_font',
        'choices' => $bloomy_fonts_list,
        'output'  => array (
            'font-family' => 'h1,h2,h3,h4,h5,h6,.widgettitle,.post-nav-link,.post-navigation a',
		),
	);
    $fields[] = array(
		'id'        => 'headings_font_weight',
		'control'   => 'select',
		'default'   => $bloomy_theme_defaults['headings_font_weight'],
		'label'     => esc_html__('Font Weight', 'bloomy'),
		'section'   => 'headings_font',
        'transport' => 'postMessage',
        'choices'   =>   array(
            '300' => esc_html__('Light: 300', 'bloomy'),
            '400' => esc_html__('Normal: 400', 'bloomy'),
            '500' => esc_html__('Medium: 500', 'bloomy'),
            '600' => esc_html__('Semi-Bold: 600', 'bloomy'),
            '700' => esc_html__('Bold: 700', 'bloomy'),
            '800' => esc_html__('Extra-Bold: 800', 'bloomy'),
        ),
        'output'    => array (
            'font-weight' => 'h1,h2,h3,h4,h5,h6,.widgettitle,.post-nav-link',
		),
	);
    
    /*---[ Post: Entry Title Font Properties ]---*/
    $fields[] = array(
		'id'          => 'entry_title_font_size', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['entry_title_font_size'],
		'label'       => esc_html__('Font Size', 'bloomy'),
		'description' => esc_html__('Value in pixels', 'bloomy'),
		'section'     => 'entry_title_font',
        'transport'   => 'postMessage',
        'output'      => array (
            'font-size' => '.entry-title',
		),
	);
    
    /*---[ Post: Meta Font Properties ]---*/
    $fields[] = array(
		'id'          => 'post_meta_font_size', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['post_meta_font_size'],
		'label'       => esc_html__('Font Size', 'bloomy'),
		'description' => esc_html__('Value in pixels', 'bloomy'),
		'section'     => 'post_meta_font',
        'transport'   => 'postMessage',
        'output'      => array (
            'font-size' => '.post-meta',
		),
	);
    
    /*---[ Post: Single Title Font Properties ]---*/
    $fields[] = array(
		'id'          => 'single_title_font_size', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['single_title_font_size'],
		'label'       => esc_html__('Font Size', 'bloomy'),
		'description' => esc_html__('Value in pixels', 'bloomy'),
		'section'     => 'single_title_font',
        'transport'   => 'postMessage',
        'output'      => array (
            'font-size' => '.single .entry-title',
		),
	);
    
    /*---[ Post: Content Font Properties ]---*/
    $fields[] = array(
		'id'          => 'post_content_font_size', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['post_content_font_size'],
		'label'       => esc_html__('Font Size', 'bloomy'),
		'description' => esc_html__('Value in pixels', 'bloomy'),
		'section'     => 'post_content_font',
        'transport'   => 'postMessage',
        'output'      => array (
            'font-size' => '.post-content',
		),
	);
    
    /*---[ Widgets Title Font Properties ]---*/
    $fields[] = array(
		'id'          => 'widgets_title_font_size', 
		'control'     => 'text',
		'default'     => $bloomy_theme_defaults['widgets_title_font_size'],
		'label'       => esc_html__('Font Size', 'bloomy'),
		'description' => esc_html__('Value in pixels', 'bloomy'),
		'section'     => 'widgets_title_font',
        'transport'   => 'postMessage',
        'output'      => array (
            'font-size' => '.widget-title, .section-heading, .post-nav-title, .author .author-box .widget-title',
		),
	);
    
    // Settings -> Layout Options
    //--------------------------------------------//
    $fields[] = array(
		'id'                => 'main_layout', 
		'control'           => 'layout',
		'default'           => $bloomy_theme_defaults['main_layout'],
		'label'             => esc_html__('Main Layout', 'bloomy'),
		'section'           => 'main_layout_section',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            'cblayout' => esc_html__('2 Col Right Sidebar', 'bloomy'),
            'bclayout' => esc_html__('2 Col Left Sidebar', 'bloomy'),
            'flayout'  => esc_html__('Full Width', 'bloomy'),
        )
	);
    $fields[] = array(
		'id'                => 'archive_layout', 
		'control'           => 'layout',
		'default'           => $bloomy_theme_defaults['archive_layout'],
		'label'             => esc_html__('Archive Layout', 'bloomy'),
		'section'           => 'archive_layout_section',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            'cblayout' => esc_html__('2 Col Right Sidebar', 'bloomy'),
            'bclayout' => esc_html__('2 Col Left Sidebar', 'bloomy'),
            'flayout'  => esc_html__('Full Width', 'bloomy'),
        )
	);
    $fields[] = array(
		'id'                => 'single_layout', 
		'control'           => 'layout',
		'default'           => $bloomy_theme_defaults['single_layout'],
		'label'             => esc_html__('Single Layout', 'bloomy'),
		'section'           => 'single_layout_section',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            'cblayout' => esc_html__('2 Col Right Sidebar', 'bloomy'),
            'bclayout' => esc_html__('2 Col Left Sidebar', 'bloomy'),
            'flayout'  => esc_html__('Full Width', 'bloomy'),
        )
	);
    $fields[] = array(
		'id'                => 'footer_layout', 
		'control'           => 'layout',
		'default'           => $bloomy_theme_defaults['footer_layout'],
		'title'             => esc_html__('Footer Columns', 'bloomy'),
        'description'       => esc_html__('Chose number of footer columns for theme', 'bloomy'),
		'section'           => 'footer_columns_section',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            '1' => esc_html__('Footer 1 Col', 'bloomy'),
            '2' => esc_html__('Footer 2 Col', 'bloomy'),
            '3' => esc_html__('Footer 3 Col', 'bloomy'),
            '4' => esc_html__('Footer 4 Col', 'bloomy'),
        )
	);
    
    // Settings -> Home Content
    //--------------------------------------------//
    $fields[] = array(
		'id'                => 'home_content', 
		'control'           => 'radio',
		'default'           => $bloomy_theme_defaults['home_content'],
		'label'             => esc_html__('Home Content', 'bloomy'),
		'section'           => 'home_content_section',
        'sanitize_callback' => 'bloomy_sanitize_choices',
        'choices'           => array(
            'excerpt'       => esc_html__('Excerpt', 'bloomy'),
            'full_content'  => esc_html__('Full Content', 'bloomy'),
        ),
	);
    $fields[] = array(
		'id'                => 'excerpt_length', 
		'control'           => 'text',
        'default'           => $bloomy_theme_defaults['excerpt_length'],
		'label'             => esc_html__('Excerpt Length', 'bloomy'),
        'description'       => esc_html__('Enter excerpt length here', 'bloomy'),
		'section'           => 'home_content_section',
        'sanitize_callback' => 'absint'
	);
    $fields[] = array(
		'id'                => 'read_more_btn',
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['read_more_btn'],
		'label'             => esc_html__('Show Read More Button', 'bloomy'),
		'section'           => 'home_content_section',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    $fields[] = array(
		'id'                => 'read_more_btn_text', 
		'control'           => 'text',
        'default'           => $bloomy_theme_defaults['read_more_btn_text'],
		'label'             => esc_html__('Read More Button Text', 'bloomy'),
        'description'       => esc_html__('Enter read more button text here', 'bloomy'),
		'section'           => 'home_content_section',
        'sanitize_callback' => 'wp_filter_nohtml_kses',
	);
    $fields[] = array(
		'id'                => 'featured_slider',
		'control'           => 'checkbox',
		'default'           => $bloomy_theme_defaults['featured_slider'],
		'label'             => esc_html__('Show Featured Slider', 'bloomy'),
		'section'           => 'slider_section',
        'sanitize_callback' => 'bloomy_sanitize_checkbox',
	);
    $fields[] = array(
		'id'                => 'f_slider_posts_count', 
		'control'           => 'text',
		'label'             => esc_html__('Slider Posts Count', 'bloomy'),
		'default'           => $bloomy_theme_defaults['f_slider_posts_count'],
		'label'             => esc_html__('Featured Posts Count', 'bloomy'),
        'description'       => esc_html__('Chose number of posts to show in slider', 'bloomy'),
		'section'           => 'slider_section',
        'sanitize_callback' => 'absint'
	);
    $fields[] = array(
		'id'                => 'featured_slider_cat',
		'control'           => 'select',
        'default'           => $bloomy_theme_defaults['featured_slider_cat'],
		'label'             => esc_html__('Slider Posts Category', 'bloomy'),
		'section'           => 'slider_section',
        'sanitize_callback' => 'bloomy_sanitize_cat',
        'choices'           => bloomy_get_categories_select()
	);
    
    // Settings -> Social Profiles
    //--------------------------------------------//
    
    /*---[ Facebook ]---*/
    $fields[] = array(
		'id'                => 'facebook_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['facebook_url'],
		'label'             => esc_html__('Facebook', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ Twitter ]---*/
    $fields[] = array(
		'id'                => 'twitter_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['twitter_url'],
		'label'             => esc_html__('Twitter', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ Google+ ]---*/
    $fields[] = array(
		'id'                => 'gplus_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['gplus_url'],
		'label'             => esc_html__('Google+', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ Instagram ]---*/
    $fields[] = array(
		'id'                => 'instagram_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['instagram_url'],
		'label'             => esc_html__('Instagram', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ YouTube ]---*/
    $fields[] = array(
		'id'                => 'youtube_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['youtube_url'],
		'label'             => esc_html__('YouTube', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ Pinterest ]---*/
    $fields[] = array(
		'id'                => 'pinterest_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['pinterest_url'],
		'label'             => esc_html__('Pinterest', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ Flickr ]---*/
    $fields[] = array(
		'id'                => 'flickr_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['flickr_url'],
		'label'             => esc_html__('Flickr', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ RSS ]---*/
    $fields[] = array(
		'id'                => 'rss_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['rss_url'],
		'label'             => esc_html__('RSS', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ LinkedIn ]---*/
    $fields[] = array(
		'id'                => 'linkedIn_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['linkedIn_url'],
		'label'             => esc_html__('LinkedIn', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
        
    /*---[ Tumblr ]---*/
    $fields[] = array(
		'id'                => 'tumblr_url', 
		'control'           => 'text',
		'default'           => $bloomy_theme_defaults['tumblr_url'],
		'label'             => esc_html__('Tumblr', 'bloomy'),
        'sanitize_callback' => 'esc_url_raw',
		'section'           => 'social_profiles',
	);
    
    return $fields;
}

/**
 * Add filters for customizer.
 *
 */
add_filter( 'bloomy_customizer_settings_register', 'bloomy_customizer_settings' );
add_filter( 'bloomy_customizer_apply_css', 'bloomy_customizer_settings' );
add_filter( 'bloomy_customizer_google_fonts', 'bloomy_customizer_settings' );
?>