/* -----------------------------------------
	Table of Contents
--------------------------------------------

.. 01. Responsive Navigation Menu
.. 02. Back to Top Button
.. 03. Header Search
.. 04. Featured Slider

*/

(function ($, window) {
    "use strict";

    // 01. Responsive Navigation Menu
    //--------------------------------------------//
    function bloomy_responsive_menu() {
        $(".mobile-menu ul li").has('ul').prepend("<span class='side-sub-menu'><i class='fa fa-angle-down'></i></span>");

        $('.mobile-menu ul li .side-sub-menu').click(function() {
            $(this).next().next().slideToggle(300);
            if ($(this).children().hasClass('fa-angle-down')) {
            $(this).children().removeClass('fa-angle-down').addClass('fa-angle-up');
            } else {
            $(this).children().removeClass('fa-angle-up').addClass('fa-angle-down');
            }
        });

        $(document).ready(function( $ ) {
            $(".menu-btn").click(function(e){
                e.preventDefault();
                e.stopPropagation();
                $("html").toggleClass("openNav");
            });
        }).on( 'click', function ( e ) {
            var mouseclick = $(e.target);
            //console.log(mouseclick);
            if ( mouseclick.hasClass('mobile-menu') || mouseclick.parent().hasClass('mobile-menu') || mouseclick.parent().hasClass('side-sub-menu') ) {
                return;
            }
            else {
                $('html').removeClass("openNav");
            }
        } );
    };

    // 02. Back to Top Button
    //--------------------------------------------//
    function bloomy_scroll_top() {
        var offset = 220;
        var duration = 500;
        $(window).scroll(function() {
            if ($(this).scrollTop() > offset) {
                $('.back-to-top').fadeIn(duration);
            } else {
                $('.back-to-top').fadeOut(duration);
            }
        });

        $('.back-to-top').on("click", function(event){
            event.preventDefault();
            $('html,body').animate({scrollTop: 0}, duration);
            return false;
        })
    };

    // 03. Header Search
    //--------------------------------------------//
    function bloomy_header_search() {
        $(".header-search .search-submit").click(function(){
            $(".header-search .s:visible").length ? $(".header-search .s").hide() : $(".header-search .s").show();
        })
    };
    
    // 04. Featured Slider
    //--------------------------------------------//
    function bloomy_featured_slider() {
        var $carousel = $( ".featuredslider" );
        var $rtl = ($carousel.data("rtl") !== undefined) ? $carousel.data("rtl") : false;
        $(".featuredslider").owlCarousel({
          autoplay: true,
          autoHeight: true,
          loop: true,
          rtl: $rtl,
          items:1,
          nav: true,
          navText: ['<i class="fa fa-angle-left"></i>','<i class="fa fa-angle-right"></i>'],
          dots: false,
          responsiveClass:true,
          responsive:{
              0:{
                  items:1,
              },
              479:{
                  items:1,
              },
              768:{
                  items:1,
              },
              1065:{
                  items:1,
              }
          },
          onInitialize : function(){
              $('.featured-section').removeClass('loading');
          },
        });
    };
    
    function bloomy_scripts() {
        bloomy_responsive_menu();
        bloomy_scroll_top();
        bloomy_header_search();
        bloomy_featured_slider();
    }
    
    $(document).ready(bloomy_scripts);
})(jQuery, window);