<?php
/**
 * The template for displaying Search Results pages
 */

get_header(); ?>
<div class="page-heading">
    <div class="container">
        <h1 class="section-heading category-title uppercase">
            <?php
                /* translators: %s: search term */
                printf( esc_html__( 'Search Results for: %s', 'bloomy' ), '<span>' . get_search_query() . '</span>' );
            ?>
        </h1>
        <span class="uppercase articles-count">
            <?php 
                $bloomy_allsearch = new WP_Query("s=$s&showposts=0");
            	/* translators: %s: search results count */
                printf( esc_html__( '%s Articles', 'bloomy' ), esc_attr( $bloomy_allsearch ->found_posts ) );
            ?>
        </span>
    </div>
</div>
<div class="main-wrapper clearfix">
	<div class="main-content">
		<div class="content-area home-content-area">
			<div class="content-search">
				<div id="content" class="content">
					<?php
						// Start the Loop.
						if (have_posts()) : while (have_posts()) : the_post();
						
						/*
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 */
						get_template_part( 'template-parts/post/content', get_post_format() );
						
						endwhile;
								
						else:
							// If no content, include the "No posts found" template.
							get_template_part( 'template-parts/post/content', 'none' );

						endif;
					?>
				</div><!--content-->
				<?php 
					// Previous/next page navigation.
					bloomy_paging_nav();
				?>
			</div><!--content-page-->
		</div><!--content-area-->
        <?php
            if ( get_theme_mod('main_layout') != 'flayout' ) {
                get_sidebar();
            }
        ?> 
		</div><!--.main-->
	<?php get_footer(); ?>