<?php get_header(); ?>
<div class="main-wrapper clearfix">
    <div class="main-content" role="main">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <div class="content-area single-content-area">
            <div class="content-single">
                <div id="content" class="single-content">
                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <?php
                            if ( has_post_thumbnail() ) { ?>
                                <div class="featured-thumbnail single-featured clearfix">
                                    <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>">
                                        <?php the_post_thumbnail( 'bloomy-featured' ); ?>
                                    </a>
                                </div>
                                <?php
                            }
                        ?>
                        <div class="post-inner">
                            <?php
                                // Post Header
                                get_template_part('template-parts/post/post-header-single');
                            ?>
                            <div class="post-content entry-content single-post-content">

                                <?php the_content(); ?>

                                <?php
                                    wp_link_pages( array( 'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'bloomy' ), 'after' => '</div>' ) ); 
                                ?>
                                
                            </div><!--.single-post-content-->
                        </div><!--.post-inner-->
                        <?php 
                            if ( bloomy_theme_mod( 'next_prev_links' ) == '1' ) {
                                ?>
                                <div class="navigation post-navigation single-section clearfix">
                                    <?php
                                        // Previous/next post navigation.
                                        the_post_navigation();
                                    ?>
                                </div>
                                <?php
                            }

                            // Author Box
                            if ( bloomy_theme_mod( 'author_box' ) == '1' ) {
                                get_template_part('template-parts/post/author-box');
                            }

                            // Related Posts
                            if ( bloomy_theme_mod( 'related_posts' ) == '1' ) {
                                get_template_part('template-parts/post/related-posts');
                            }

                            // Comments Template
                            comments_template();
                        ?>
                    </article>

                    <?php if ( bloomy_theme_mod( 'post_tags' ) == '1' ) { ?>
                        <div class="single-tags">
                            <?php the_tags(); ?>
                        </div>
                    <?php } ?>
                </div><!--.single-content-->
                <?php                                
                    endwhile;

                    else :
                        // If no content, include the "No posts found" template.
                        get_template_part( 'template-parts/post/content', 'none' );
                    endif;
                ?>
            </div>
        </div>
        <?php
            if ( get_theme_mod('single_layout') != 'flayout' ) {
                get_sidebar();
            }
        ?>
    </div><!--.main-content-->
<?php get_footer(); ?>